Bug 122328 - Epson perfection 2400 isn't detected [+fix]
Epson perfection 2400 isn't detected [+fix]
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-03 07:09 EDT by Kees
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 10:33:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kees 2004-05-03 07:09:47 EDT
After a FC2T3 install,
my scanner is detected by: sane-find-scanner
found USB scanner (vendor=0x04b8 [EPSON], product=0x011b [EPSON
Scanner]) at libusb:001:002

But not by: scanimage -L
scanimage: no SANE devices found

After adding the following line to /etc/sane.d/epson.conf it worked:

# Epson Perfection 2400
usb 0x04b8 0x011b

Now the scanner is detected by: scanimage -L
device `epson:libusb:001:002' is a Epson GT-9300 flatbed scanner
Comment 1 Kees 2004-05-03 08:25:49 EDT
The problem in the original bug report was fixed, but only for root.
If a user wanted to work with the scanner. Several other steps had to
be taken as described here:

http://www.freecolormanagement.com/sane/libusb.html

Would be good if FC already did some/all of these steps by default.
Comment 2 Tim Waugh 2004-05-04 09:14:56 EDT
Please try the 1.0.13-6 package:

ftp://people.redhat.com/twaugh/tmp/sane-backends/
Comment 3 Kees 2004-05-06 09:07:56 EDT
Updated the package, also updated xsane. But now my scanner isn't even
detected by the system using lsusb. 

rpm -q libusb
libusb-0.1.8-2.1

rpm -q kernel
kernel-2.6.5-1.327
kernel-2.6.5-1.350

rpm -q xsane
xsane-0.92-10

rpm -q sane-backends
sane-backends-1.0.13-6

Comment 4 Tim Waugh 2004-05-06 09:24:17 EDT
Is it on? :-)  Seriously, 'lsusb' is talking directly to the kernel so
SANE isn't really a possible culprit at that stage.
Comment 5 Michael Styne 2004-05-06 16:48:49 EDT
Actually, 

usb 0x04b8 0x011b 

BROKE support for me.

All I needed to make it work was

usb

and then I could scan again.
Comment 6 Tim Waugh 2004-05-07 05:59:21 EDT
Aha.  Kees, does just having 'usb' work for your scanner work as well?
Comment 7 Kees 2004-05-07 07:06:21 EDT
"usb 0x04b8 0x011b" works for me but I found that I can only use the
scanner if i replug the device before starting xsane. Think that this
activates the hotplug scripts.
If I reboot, then start xsane, it won't detect the scanner (but lsusb
says it's there). If i unplug and then reinsert the scanner, xsane
will detect the scanner.
Strange.
Comment 8 Kees 2004-05-07 07:07:05 EDT
The problem with lsusb not detecting the scanner was solved by
replugging the external power supply and usb cable to the scanner.
Comment 9 Tim Waugh 2004-05-07 07:08:29 EDT
No, this is expected.  But I need you to test this line:

usb

Comment 10 Kees 2004-05-07 08:06:20 EDT
yes, that works for xsane. (after replugging the scanner)
Comment 11 John Thacker 2006-10-30 09:48:31 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 12 John Thacker 2007-01-12 10:33:46 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.